Trigger automation

POST
/api/v1/automations/{automationId}/trigger

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key created in Capy under Settings → API.

Path parameters

automationId*string

Request body

application/json
  1. body
requestId*string
Length1 <= length <= 160

Response body

AutomationRun

application/json
  1. response
id*string
automationId*string
status*string
One of"queued""running""completed""failed""skipped""cancelled"
jamId*string|null
failure*string|null
startedAt*string|null
completedAt*string|null
createdAt*string
curl -X POST 'https://api.capy.ai/api/v1/automations/string/trigger' \  -H 'Content-Type: application/json' \  -d '{  "requestId": "string"}'
{  "id": "string",  "automationId": "string",  "status": "queued",  "jamId": "string",  "failure": "string",  "startedAt": "string",  "completedAt": "string",  "createdAt": "string"}
Open in Capy